"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, /** @type {import("../").SyntaxDefinition} */ "default", {
    enumerable: true,
    get: ()=>_default
});
const _jsJs = /*#__PURE__*/ _interopRequireDefault(require("./js.js"));
const _utilJs = require("./util.js");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const comment = (0, _utilJs.join)('|', /(\/\*)[^]*?(\*\/)/, /(\/\*)[^]*/);
const _default = {
    comment,
    attribute: [
        /(?<=\[)[^\]]*?(?=\])/,
        {
            string: _jsJs.default.string,
            attribute: /\w+?/
        }
    ],
    rules: [
        /\{[^]*?\}/,
        {
            comment,
            string: _jsJs.default.string,
            normal: /--[\w-]+/,
            declare: (0, _utilJs.join)('|', /[\w-]+(?=:)/, (0, _utilJs.split)('var url ch px pt em rem vw vh vmax vmin')),
            number: (0, _utilJs.join)('|', _jsJs.default.number, /#[a-fA-F0-9]+/),
            value: /(?<=:)[\sa-z-]*(?=;|.*})/
        }
    ],
    tag: /[\w-]+/,
    property: /[.#][^\s]+/,
    operator: _jsJs.default.operator
};

//# sourceMappingURL=css.js.map