"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, /** @type {import("../").SyntaxDefinition} */ "default", {
    enumerable: true,
    get: ()=>_default
});
const _cssJs = /*#__PURE__*/ _interopRequireDefault(require("./css.js"));
const _jsJs = /*#__PURE__*/ _interopRequireDefault(require("./js.js"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const _default = {
    script: [
        /(?<=<script[^>]*?>)[^]*?(?=<\/script>)/,
        _jsJs.default
    ],
    style: [
        /(?<=<style[^>]*?>)[^]*?(?=<\/style>)/,
        _cssJs.default
    ],
    comment: /<!--[^]*?-->|<!--[^]*/,
    tag: [
        /(?<=<\/?)([^<]*?(".+?")[^<]*|([^>]*))(?=>)/,
        {
            _: [
                /^[/!]?[\w-]+/,
                {
                    tag: /[\w-]+/ // this small bypass so it doesn't highlight the slashes /
                }
            ],
            string: /".*?"/,
            attribute: /[\w-]+/
        }, 
    ]
};

//# sourceMappingURL=html.js.map