"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    patchElements: ()=>patchElements,
    patchPreCodeElements: ()=>patchPreCodeElements
});
const _ = require(".");
const patchElements = (elements, { theme ='deep' , getLanguage =(el)=>[
        ...el.classList
    ].filter((x)=>x.startsWith('language-'))[0].split('-').pop() ,  } = {})=>elements.forEach((oldEl)=>{
        const newEl = new _.CodeSyntaxElement();
        newEl.textContent = oldEl.textContent;
        newEl.setAttribute('theme', theme);
        newEl.setAttribute('language', getLanguage(oldEl));
        oldEl.replaceWith(newEl);
    });
const patchPreCodeElements = (opts)=>patchElements([
        ...document.querySelectorAll('code')
    ].filter((el)=>el.parentNode?.nodeName === 'PRE'), opts);

//# sourceMappingURL=util.js.map